import { EntityEquippableComponent, EntityInventoryComponent, EquipmentSlot, ItemStack, world } from "@minecraft/server";
import { ModalFormData } from "@minecraft/server-ui";
import { CmdLength } from "./utils/CommandLength";
import { SelectStyle } from "./utils/SelectStyle";
import { MakeMenu } from "./menu";

world.afterEvents.itemUse.subscribe((event) => {
    const item = event.itemStack;
    /* @type {Player} */
    const user = event.source;
    const prefix = item.typeId.split(':');

    if (prefix[0] == 'pammcmd') {
        if (item.nameTag?.startsWith("")) {

            user.runCommandAsync(`playsound random.click @s ~ ~ ~`);
            if (item.getLore()[0].startsWith('$@admin@$')) {
                user.hasTag("admin") ? user.runCommandAsync(item.getLore().join("").replace("$@admin@$", "")) : user.runCommandAsync(`tellraw @s {"rawtext":[{"text": "§c[!] No tienes permitido usar esto!"}]}`);
            } else {
                user.runCommandAsync(item.getLore().join(""));
            }
            return;
        }

        let gm = user.runCommandAsync(`testfor @s[m=1]`).then(c => {
            if (c.successCount != 1) {
                user.sendMessage({ "rawtext": [{ "text": "§cNo Puedes Configurar Este Item En Survival." }] });
                return;
            } else {
                MakeMenu(user).then((res) => {
                    if (!res.canceled) {
                        const copy = new ItemStack(SelectStyle(res.formValues[3]));

                        copy.setLore(CmdLength(res.formValues[1], res.formValues[2]));
                        copy.nameTag = ` ${res.formValues[0]} ${res.formValues[2] ? "§d[Only admin tag]" : ""}`;
                        const inv = user.getComponent("equippable")
                        inv.setEquipment(EquipmentSlot.Mainhand, copy);
                    }
                });
            }
        });
    }
});
